<?php 

require_once 'lib/gitlab.php';



class GILSRouter {



    function route($uri){
        // Temporary - everything's gonna be the project list
        print ini_get('disable_functions');
        $gitlabapi = new GILSGitlab();
        
        // Translate to a route array
        $ra = GILSUtils::sef2qs($uri);
        //print_r($ra);
        
        //$ra['subsection'] = "websites/Gitlab-Issue-Listing-Script";
        //$ra['section'] = "issue";
        //$ra['issid'] = "3";
        
        switch ($ra['section']){
            case 'avatars':
                $projects = $gitlabapi->getImage($ra['path']);
                break;
        
            case "projects":
                $projects = $gitlabapi->getProjectList();
                //print_r($projects);
                require "templates/html/project-list.php";
                break;
                
            case "project":  
                $project = $gitlabapi->getProjectAndIssues($ra['subsection']);
                //print_r($project);
                require "templates/html/project-index.php";
                break;
                
            case "issue":
                $issue = $gitlabapi->getIssueAndComments($ra['subsection'], $ra['issid']);
                //print_r($issue);
                require "templates/html/issue_page.php";
                break;
            
            case "wiki":
                if ($ra['action'] == "list"){
                    $pages = $gitlabapi->getProjectWikiPages($ra['subsection']);
                    require "templates/html/wiki-index.php";
                }else{
                    $page = $gitlabapi->getWikiPage($ra['subsection'], $ra['page']);
                    require "templates/html/wiki-page.php";
                }
                break;
        }
        
    
    }






}
